Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509172 - Cannot create or edit zones
Summary: Cannot create or edit zones
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks: 1509452
TreeView+ depends on / blocked
 
Reported: 2017-11-03 09:23 UTC by Milan Falešník
Modified: 2019-02-11 13:55 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1509452 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:55:18 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Excerpt from production.log - the exception on the button click. (deleted)
2017-11-03 09:23 UTC, Milan Falešník
no flags Details

Description Milan Falešník 2017-11-03 09:23:45 UTC
Created attachment 1347230 [details]
Excerpt from production.log - the exception on the button click.

Description of problem:
Clicking the "Add a new Zone" button in the dropdown in order to open the dialog to add the zone does nothing.

Version-Release number of selected component (if applicable):
5.9.0.5

How reproducible:
always

Steps to Reproduce:
1. Go to Configuration
2. Click Zones
3. Click Configuration - Add a new Zone

Actual results:
Nothing happens (visibly). An error in production.log

Expected results:
A dialog opens. No error in production.log

Additional info:
Fresh appliance.

Comment 4 CFME Bot 2017-11-03 19:26:39 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4c610b285ec109d13d35d7d60a62f9d133b7ba6d

commit 4c610b285ec109d13d35d7d60a62f9d133b7ba6d
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Fri Nov 3 13:18:56 2017 -0400
Commit:     Chris Arcand <chris@chrisarcand.com>
CommitDate: Fri Nov 3 13:55:30 2017 -0500

    settings_for_resource shouldn't blow up if the instance isn't saved yet
    
    It should return the settings from the parent resource instead.
    Only attempt to reload the record if the record is persisted
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1509172

 lib/vmdb/settings/database_source.rb | 4 +++-
 spec/lib/vmdb/settings_spec.rb       | 5 ++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

Comment 6 Milan Falešník 2017-11-10 15:41:38 UTC
Saving of the zones does not work as well. If you change the displayed name, it says it is saved but it is still the old one. No error in production.log.

Build 5.9.0.8

Comment 9 CFME Bot 2017-11-20 22:38:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c6b835afc95a5ad0399daed8b6470e06e9502734

commit c6b835afc95a5ad0399daed8b6470e06e9502734
Author:     Chris Arcand <chris@chrisarcand.com>
AuthorDate: Mon Nov 13 21:44:04 2017 -0600
Commit:     Chris Arcand <chris@chrisarcand.com>
CommitDate: Wed Nov 15 20:45:25 2017 -0600

    Zones - Save NTP settings after saving the zone
    
    With the changes to NTP settings made in
    https://github.com/ManageIQ/manageiq-ui-classic/commit/97088dee3c727898a186f2a03edb9d92a4b04af5,
    calling #add_settings_for_resource calls a save and reload which sets
    the attributes assigned before the call to their original values,
    ignoring the assignments from the form.
    
    Instead, pull NTP settings outside of zone_set_record_vars, which is
    supposed to be just setting vars, and save the settings afterward.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1509172

 app/controllers/ops_controller/settings/zones.rb | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

Comment 13 Tasos Papaioannou 2018-07-09 16:41:50 UTC
Verified on 5.10.0.3.


Note You need to log in before you can comment on or make changes to this bug.